Bug 86445 - [UPDATE] games/doom: integrate with "doom-data"
Summary: [UPDATE] games/doom: integrate with "doom-data"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: jmz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-22 01:30 UTC by Alejandro Pulver
Modified: 2005-11-17 12:08 UTC (History)
0 users

See Also:


Attachments
doom.diff (3.01 KB, patch)
2005-09-22 01:30 UTC, Alejandro Pulver
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro Pulver 2005-09-22 01:30:05 UTC

Changes:
* Integrate with "doom-data".
* Use REINPLACE_CMD instead of PERL (to convert dos text files).
* Update MASTER_SITES.
Comment 1 Simon Barner freebsd_committer 2005-09-22 13:58:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jmz

Over to maintainer. 

There is a whole bunch of doom PRs. 

A prerequisite for your port is ports/86439 (doom datafiles). 

There are also updates for various other doom ports in order to 
integrate them with the new datafiles port, so you'd need to 
contact their maintainers: 

games/deng, ip@doom.homeunix.org, ports/86440 
games/doomlegacy, bock@bock.nnov.ru, ports/86446 
games/prboom, robin.schoonover@gmail.com, ports/86447 
games/vavoom, ip@doom.homeunix.org, ports/86448 

There are also various new ports depending on the new doom 
datafiles port, but I'd suggest migrating the old ports first. 

I'll forward the above PRs to their maintainers, and then 
we can see how to proceed. 

Generally, I think the integration is a good idea. 

Best regards, 
Simon
Comment 2 Alejandro Pulver 2005-09-23 00:23:14 UTC
>Submitter-Id:	current-users 
>Originator:	Alejandro Pulver 
>Organization:	 
>Confidential:	no 
>Synopsis:	Re: ports/86445: [UPDATE] games/doom: integrate with "doom-data" 
>Severity:	non-critical 
>Priority:	low 
>Category:	ports 
>Class:		update 
>Release:	FreeBSD 5.4-RELEASE i386 
>Environment:





>Description:


This patch has to be applied to the previous patch.

Changes:
* Respect possible changes of the DMDIR variable.


>How-To-Repeat:





>Fix:


--- new.diff begins here ---
--- ../../pkgd/sent/doom/doom.diff	Wed Sep 21 21:18:27 2005
+++ doom.diff	Thu Sep 22 20:19:51 2005
@@ -1,7 +1,7 @@
 diff -urN /usr/ports/games/doom/Makefile doom/Makefile
 --- /usr/ports/games/doom/Makefile	Wed Feb  4 02:20:20 2004
-+++ doom/Makefile	Wed Sep 21 21:17:37 2005
-@@ -9,52 +9,37 @@
++++ doom/Makefile	Thu Sep 22 20:19:31 2005
+@@ -9,52 +9,39 @@
  PORTVERSION=	1.8
  PORTREVISION=	1
  CATEGORIES=	games
@@ -37,6 +37,8 @@
 -	@${MAKE} ${.MAKEFLAGS} do-fetch __REAL_FETCH__=YES \
 -	DISTFILES="${DISTFILES2}" MASTER_SITES="${MASTER_SITES2}"
 -.endif
++DATADIR=	${DMDIR}
++
  post-extract:
  	@cd ${WRKDIR} && ${TAR} xzf linuxdoom-1.10.src.tgz && ${TAR} xzf sndserv.tgz
  
--- new.diff ends here ---
Comment 3 Simon Barner freebsd_committer 2005-11-17 12:08:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!